[Docker 安装 | 达梦技术文档 (dameng.com)](https://eco.dameng.com/document/dm/zh-cn/start/dm-install-docker.html)

# Docker 安装

## 安装前准备

| 软硬件 | 版本           |
| :----- | :------------- |
| 终端   | X86-64 架构    |
| Docker | 2022 年 8 月版 |

## 下载 Docker 安装包

请在达梦数据库官网下载 [Docker 安装包](https://eco.dameng.com/download/)。

## 导入安装包

拷贝安装包到 /opt 目录下，执行以下命令导入安装包：

```shell
Copydocker load -i dm8_20220822_rev166351_x86_rh6_64_ctm.tar
```

结果显示如下：

![image.png](../img/2022090111315683N0V8UJQ2CPNW52FK.png)

导入完成后，可以使用 `docker images` 查看导入的镜像。结果显示如下：

![image.png](../img/20220901111720AFX5ADCLOL0AXOT3LY.png)

## 启动容器

镜像导入后，使用 `docker run` 启动容器，启动命令如下：

```shell
Copydocker run -d -p 5236:5236 --restart=always --name dm8_01 --privileged=true -e PAGE_SIZE=16 -e LD_LIBRARY_PATH=/opt/dmdbms/bin -e INSTANCE_NAME=dm8_01 -v /data/dm8_01:/opt/dmdbms/data dm8_single:v8.1.2.128_ent_x86_64_ctm_pack4
```

结果显示如下：

![image.png](../img/20220901112829RR1RT2YYRXK3SVW49Y.png)

容器启动完成后，使用 `docker ps` 查看镜像的启动情况，结果显示如下：

![image.png](../img/20220901112856M6H3O8KNQ9PNTFAXPV.png)

启动完成后，可通过日志检查启动情况，命令如下：

```shell
Copydocker logs -f dm8_01
或
docker logs -f 58deb28d1209
```

结果显示如下：

![image.png](../img/20220901113142OTBTEIRTIVEWSLN7EH.png)

## 启动/停止数据库

停止数据库命令如下：

```shell
Copydocker stop  dm8_01
```

启动数据库命令如下：

```shell
Copydocker start  dm8_01
```

重启命令如下：

```shell
Copydocker restart  dm8_01
```

> 注意
>
> 1.如果使用 docker 容器里面的 disql，进入容器后，先执行 source /etc/profile 防止中文乱码。
> 2.新版本 Docker 镜像中数据库默认用户名/密码为 SYSDBA/SYSDBA001。